- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Time.h functions
Evil

This header provides functions ported from Unix in time.h. More...

## Functions
struct tm * | localtime_r (const time_t *timep, struct tm *result)
| Convert the calendar time to broken-time representation in a user supplied data. More...

## Detailed Description

This header provides functions ported from Unix in time.h.

## Function Documentation

struct tm* localtime_r | ( | const time_t * | timep,
|  | struct tm * | result
| ) |  |

Convert the calendar time to broken-time representation in a user supplied data.

Parameters

  timep | The calender time.
  result | The broken-down time representation.

Returns
  The broken-down time representation.

This function converts the calendar time `timep` to a broken-time representation. The result is stored in the buffer `result` supplied by the user. If `timep` or `result` are `NULL`, or if an error occurred, this function returns `NULL` and the values in `result` might be undefined. Otherwise it returns `result`.

Conformity: Non applicable.

Supported OS: Windows XP.